@import "color"
@import "fonts"

img
	max-width: 100%
.top-bar
	background: $light-grey
	a, i 
		color: $default-text
	.mail, .phone
		a, i
			font-size: 12px
	.social
		i 
			font-size: 12px
.header-menu
	padding: 35px 0
	.menu
		margin: 0
		&__item
			list-style: none
			a
				color: $default-text
				font-size: 15px
				font-weight: bold
				text-transform: uppercase
				
			a::after
				content: ''
				display: block
				width: 100%
				height: 2px
				background: $default-text
				transform-origin: 0%	
				transform: scaleX(0)		
				transition: all 0.3s
			a:hover::after
				transform: scaleX(1)

	.search-block
		color: $default-text
		&__input
			display: none
		label:hover
			cursor: pointer
		#checkbox
			display: none
		#checkbox:checked + .search-block__input
			display: block
.header-bg
	background: url(../img/bg.jpg)
	padding: 300px 0
	&__title
		color: white
		font-size: 78px
		text-align: center
		text-transform: uppercase
		line-height: 1
		font-family: "Lato", sans-serif
	&__under-title
		text-align: center
		color: $light-text
		font-size: 24px
		font-family: "Source Sans Pro", sans-serif
		padding-bottom: 50px
.button
	margin: 0 auto
	background-color: $green
	padding: 25px 70px
	border-radius: 3px
	display: inline-block
	color: white
	text-transform: uppercase
	font-size: 18px
	font-weight: bold
	font-family: "Source Sans Pro", sans-serif
	transition: 0.3s
	&:hover
		background-color: darken($green, 10%)


.section-title
	font-size: 44px
	font-weight: bold
	font-family: "Lato", sans-serif
	color: $default-text
.section-undertitle
	color: $default-text
	font-family: "Source Sans Pro", sans-serif
	font-size: 22px
	line-height: 1.5
#advant
	padding: 120px 0
	.text-block
		text-align: center
	.advant-blocks
		padding-top: 75px
		&__item
			.item-photo
				img 
					max-width: none
			.item-text
				color: $default-text
				padding-left: 30px
				h4
					font-size: 26px
					font-weight: bold
					font-family: "Lato", sans-serif
					margin: 0
				p
					font-size: 16px
					font-family: "Source Sans Pro", sans-serif
					line-height: 1.5
#gallery
	background-color: $light-grey
	padding: 120px 0
	text-align: center
	.panarama
		&-item
			background-color: white
			padding: 0 15px
			&__text
				h5
					font-size: 20px
					font-family: "Lato", sans-serif
					font-weight: bold
					color: $default-text
					line-height: 1
					margin-bottom: 20px
				span
					display: inline-block
					color: $default-text
					font-size: 14px
					font-family: "Source Sans Pro", sans-serif
					margin-bottom: 35px
					font-weight: bold

.slider
	img
		max-width: 100%
	width: 100%
	margin: 80px auto
	div
		outline: none

#work
	padding: 80px 0
	text-align: center
	a 
		margin-top: 20px

#footer
	padding: 70px 0
	background-color: $footer-bg
.footer-item
	.more
		font-family: "Source Sans Pro", sans-serif
		font-size: 15px
		font-weight: bold
		color: $light-text
		&:hover
			color: $default-text
	.footer-contact
		a, span, i
			color: $light-text
			font-size: 14px
			display: inline-block
			margin: 5px
	.input-adress
		background-color: rgba($light-text, 0.4)
		border-radius: 5px
		padding: 5px
		max-width: 260px
		input
			font-family: "Source Sans Pro", sans-serif
			padding: 10px
			border: none
			outline: none
			border-radius: 5px
			color: $light-grey
			font-size: 14px
			background-color: transparent
			&::-webkit-input-placeholder
				color: $light-text
			&::-moz-placeholder
				color: $light-text
		button[type="submit"]
			font-family: "Source Sans Pro", sans-serif
			background-color: $green
			outline: none
			border: none
			border-radius: 5px
			padding: 10px 5px
			max-height: 30px
			font-size: 13px
			font-weight: bold
			color: white
			text-transform: uppercase
			&:hover
				cursor: pointer


.footer-title
	font-family: "Lato", sans-serif
	color: white
	font-size: 16px
	font-weight: bold
	text-transform: uppercase
.footer-text
	font-family: "Source Sans Pro", sans-serif
	font-size: 14px
	color: $light-text
	line-height: 1.5

/*Responsive-menu*/
.responsive-menu
	display: none
	width: 200px
	position: relative
	color: white
	text-align: center
	height: 30px
#check-menu
	display: none
.menu-label
	display: block
	position: absolute
	top: 0
	left: 0
	width: 100%
	height: 100%
	cursor: pointer
	z-index: 2
	line-height: 30px
.burger-line
	position: absolute
	top: 10px
	right: 10px
	width: 20px
	height: 2px
	background-color: $default-text
	transition: 0.3s
.second, .third
	top: 17px
.fourth
	top: 24px
.nav-menu
	display: block
	position: absolute
	width: 100%
	bottom: 0
	left: 0
	transform: translateY(100%)
	max-height: 0
	font-size: 0
	overflow: hidden
.nav-menu__item
	display: block
	width: 100%
	padding: 10px
	color: $default-text
	text-decoration: none
	//border-top: 1px solid grey
	background-color: $light-grey
	transition: 0.3s
.nav-menu__item:hover
	background-color: $light-text
#check-menu:checked ~ .nav-menu
	max-height: 500px
	font-size: 16px
#check-menu:checked ~ .first
	display: none
#check-menu:checked ~ .second
	transform: rotate(45deg)
#check-menu:checked ~ .third
	transform: rotate(-45deg)
#check-menu:checked ~ .fourth
	display: none


/*Media*/
@media screen and (max-width: 992px)
	.navigation
		display: none
	.responsive-menu
		display: inline-block
		position: relative
		top: -40px
	.header-menu
		padding: 20px 0 0 0
	.header-bg
		padding: 200px 0
	.header-bg__title
		font-size: 68px
	.button
		padding: 20px 45px
	#advant, #gallery, #work
		padding: 60px 0
		.advant-blocks
			padding-top: 45px
			&__item
				margin: 20px 0
	.section-title
		font-size: 36px
	.section-undertitle
		font-size: 18px


@media screen and (max-width: 786px)
	.mail, .phone
		display: none
	.social
		padding: 0

@media screen and (max-width: 576px)
	.responsive-menu
		width: 170px
	#footer
		padding: 50px 10px
	.header-bg__title
		font-size: 44px
	.header-bg__indertitle
		font-size: 18px